textures/overworked_misc/ladder
{
	qer_editorimage textures/overworked/ladder.tga
	qer_trans 0.40
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
    surfaceparm ladder
    surfaceparm trans
}

textures/overworked_misc/bluesky
{
	qer_editorimage textures/overworked/kaibox_editor.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 325
	surfaceparm sky
	skyparms textures/overworked/bolussky - -
}

textures/overworked_misc/light_def
{
	qer_editorimage textures/overworked/light01.jpg
	surfaceparm nomarks
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/overworked/light01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/overworked/light01_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/overworked_misc/fence
{
	qer_trans .5
	qer_editorimage textures/overworked/fence01.tga
	surfaceparm trans
	surfaceparm alphashadow		
	cull none
    nopicmip
	{
		map textures/overworked/fence01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/overworked_misc/cage_lightn
{
	qer_editorimage textures/overworked/cage_lightn.tga
	q3map_lightimage textures/overworked/cage_lightn.tga
	q3map_lightrgb 1 0.999954 0.467735
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map textures/overworked/cage_lightn.tga
		rgbGen vertex
	}
	{
		map textures/overworked/cage_light.blendn.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/overworked_misc/liquid
{  
	qer_editorimage textures/overworked/liquid01.jpg
	q3map_globaltexture
	qer_trans .80
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	q3map_lightsubdivide 128
	q3map_surfacelight 128
	q3map_lightimage textures/overworked/liquid01.jpg
	nopicmip
	{
		map textures/overworked/liquid02.jpg
		blendfunc GL_ONE GL_ONE //SRC_COLOR
		tcMod scroll .02 .02
                       
	}
	{
		map textures/overworked/proto_poolpass.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .6
		tcMod scroll .06 .04
	}
	{
		map textures/overworked/liquid01.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scroll .05 .05
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc GL_DST_COLOR GL_ZERO
    }
}

textures/overworked_misc/liquid_low
{       
	qer_editorimage textures/overworked/liquid01.jpg
	q3map_globaltexture
	qer_trans .80
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	q3map_lightsubdivide 256
	q3map_surfacelight 10
	q3map_lightimage textures/overworked/liquid01.jpg
	nopicmip
	{
		map textures/overworked/liquid02.jpg
		blendfunc GL_ONE GL_ONE //SRC_COLOR
		tcMod scroll .02 .02
                       
	}
	{
		map textures/overworked/proto_poolpass.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .6
		tcMod scroll .06 .04
	}
	{
		map textures/overworked/liquid01.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scroll .05 .05
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc GL_DST_COLOR GL_ZERO
    }
}

textures/overworked_misc/metal_slick
{
	surfaceparm slick
	qer_editorimage textures/overworked/metal04_slick.tga
	{
		map textures/overworked/slickfx.tga
		tcgen environment
		rgbgen wave sin .35 0 0 0
	}
	{
		map textures/overworked/metal04.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .9 .9
		rgbgen identity	
	}
	{
		map textures/overworked/metal04.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}
	{
		map $lightmap
        blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/overworked_misc/trim_slick
{
	surfaceparm slick
	qer_editorimage textures/overworked/trim05_slick.jpg
	{
		map textures/overworked/slickfx.tga
		tcgen environment
		rgbgen wave sin .35 0 0 0
	}
	{
		map textures/overworked/trim05.jpg
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .9 .9
		rgbgen identity	
	}
	{
		map textures/overworked/trim05.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}
	{
		map $lightmap
        blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/overworked_misc/fan
{
	qer_editorimage textures/overworked/fan.tga
    surfaceparm trans	
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/overworked/fan.tga
		tcMod rotate 150
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}